Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 455192

Summary: cups-devel should require zlib-devel
Product: [Fedora] Fedora Reporter: Chris Weyl <cweyl>
Component: cupsAssignee: Tim Waugh <twaugh>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideKeywords: EasyFix
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.3.7-13.fc10 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-15 10:00:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Chris Weyl 2008-07-13 20:16:51 UTC
Description of problem:
Compiling against cups requires libz.so, yet cups-devel does not require zlib-devel.

See, e.g., the output of `cups-config --libs` and note the "-lz":
-lcups -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lz -lpthread -lm -lcrypt

Actual results:
A rpmquerry --requires cups-devel does not show zlib-devel (trimmed):
gnutls-devel  
krb5-devel  
libcups.so.2()(64bit)  
libcupsimage.so.2()(64bit)
  
Expected results:
cups-devel should require zlib-devel.

Comment 1 Fedora Update System 2008-08-03 14:01:02 UTC
cups-1.3.8-1.fc9 has been submitted as an update for Fedora 9

Comment 2 Tim Waugh 2008-08-11 11:30:49 UTC
Confirmed fixed in F-9 update.

Comment 3 Fedora Update System 2008-09-25 00:18:11 UTC
cups-1.3.8-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.